This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 133709 - Mozilla thinks Symbol font is not installed when viewing MathML
Mozilla thinks Symbol font is not installed when viewing MathML
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
http://www.mozilla.org/projects/mathm...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-26 13:46 EDT by Darren Brierton
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 09:52:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of http://www.mozilla.org/projects/mathml/start.xhtml (131.96 KB, image/png)
2005-04-26 11:59 EDT, Darren Brierton
no flags Details
allow use of Standard Symbols L (4.94 KB, patch)
2005-08-03 10:01 EDT, Rex Dieter
no flags Details | Diff

  None (edit)
Description Darren Brierton 2004-09-26 13:46:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
I have installed the MathML fonts package from the Fedora.us Extras
repository:

$ rpm -q mathml-fonts
mathml-fonts-1.0-0.fdr.14

Whenever I go to a page containing MathML such as

http://www.mozilla.org/projects/mathml/start.xhtml

Mozilla (1.7.3, from fedora-updates-released) and Firefox (0.9.3, from
Fedora.us Extras) both display the following warning:


        To properly display the MathML on this page you need to
        install the following fonts:
        Symbol.
        
        For further information see:
        http://www.mozilla.org/projects/mathml/fonts

However, the content on the page *appears* to be displayed absolutely
correctly.

There certainly does seem to be a Symbol font available:

$ xlsfonts | grep -i symbol
-adobe-symbol-medium-r-normal--10-100-75-75-p-61-adobe-fontspecific
-adobe-symbol-medium-r-normal--11-80-100-100-p-61-adobe-fontspecific
-adobe-symbol-medium-r-normal--12-120-75-75-p-74-adobe-fontspecific
-adobe-symbol-medium-r-normal--14-100-100-100-p-85-adobe-fontspecific
-adobe-symbol-medium-r-normal--14-140-75-75-p-85-adobe-fontspecific
-adobe-symbol-medium-r-normal--17-120-100-100-p-95-adobe-fontspecific
-adobe-symbol-medium-r-normal--18-180-75-75-p-107-adobe-fontspecific
-adobe-symbol-medium-r-normal--20-140-100-100-p-107-adobe-fontspecific
-adobe-symbol-medium-r-normal--24-240-75-75-p-142-adobe-fontspecific
-adobe-symbol-medium-r-normal--25-180-100-100-p-142-adobe-fontspecific
-adobe-symbol-medium-r-normal--34-240-100-100-p-191-adobe-fontspecific
-adobe-symbol-medium-r-normal--8-80-75-75-p-51-adobe-fontspecific
-urw-standard symbols l-medium-r-normal--0-0-0-0-p-0-adobe-fontspecific
-urw-standard symbols l-medium-r-normal--0-0-0-0-p-0-iso10646-1

$ fc-list | grep -i symbol
OpenSymbol:style=Regular
Standard Symbols L:style=Regular

Perhaps /etc/fonts/fonts.conf needs to have a Symbol alias defined,
like it does for serif, sans-serif, and monospace?

Version-Release number of selected component (if applicable):
fontconfig-2.2.1-10

How reproducible:
Always

Steps to Reproduce:
1. Install mathml-fonts
2. Start Mozilla
3. Go to http://www.mozilla.org/projects/mathml/start.xhtml
    

Actual Results:  Mozilla warns that the Symbol font is not installed,
but appears to display page correctly anyway.

Expected Results:  Mozilla simply displays the page without warning or
error.

Additional info:

I initially discovered this whilst trying to track down a different
issue: Mozilla was displaying MathML without warning or error but
using lowercase Greek letters when it should have been using lowercase
Roman letters in MathML formulae. I realised that it was because I had
copied my Windows fonts into /usr/local/share/fonts and added that
directory to /etc/fonts/local.conf and the Windows Symbol font was
either encoded differently/wrongly, or had glyphs in different
postions to where they were in the Adobe Symbol font. So I tried
commenting out the entry for /usr/local/share/fonts in
/etc/fonts/local.conf and restarted X, and that was when I started
seeing the error about no Symbol font being installed.

I have searched all through Mozilla's bugzilla, and through Red Hat's
bugzilla, and whilst there are numerous problems reported about fonts
in Linux and MathML on bugzilla.mozilla.org, and a couple of bugs
about the Symbol font on FC1 in bugzilla.redhat.com none of them
appeared to be exactly this one. I hope this isn't just a duplicate.
Comment 1 Owen Taylor 2004-09-26 14:06:14 EDT
Reassigning to Mozilla, looks like completely an app issue.
Comment 2 Darren Brierton 2004-09-26 14:44:17 EDT
I was in two minds whether to file this under Mozilla or under
something to do with the font handling in FC2. This is why I decided
to file it under fontconfig (although maybe urw-fonts might have been
a better choice?):

* After searching very thoroughly through bugzilla.mozilla.org I came
  to the tentative conclusion that other people on other distros
  weren't seeing this problem.

* After searching through bugzilla.redhat.com and seeing reports of
  problems with the Symbol font in OOo and in Acrobat in FC1 I thought
  that maybe it was a font problem.

* That suspicion was reinforced by the fact that if I browse to
  fonts:/// in Nautilus the URW font "Standard Symbols L" (which is
  the Symbol font) does not have a thumbnail (whilst the other MathML
  fonts, auch as MT Extra, msam10, etc., do) and double clicking it
  opens a font preview window that displays nothing but the numerals
  0-9 and a few punctuation glyphs.

So, I think something is either broken with fontconfig or with
urw-fonts, rather than with Mozilla.
Comment 3 Matthew Saltzman 2004-09-26 18:46:12 EDT
There's some discussion about this issue at
https://bugzilla.mozilla.org/show_bug.cgi?id=128153#c81

The suggestion there is to rename the URW 'Standard Symbols L' font to
'Symbol' or patch fonts.cache.  There is also a Symbol font that comes
with Acrobat Reader.  There are some other aspects to the comments
that I haven't investigated yet.
Comment 4 Darren Brierton 2004-09-26 19:14:12 EDT
In the Mozilla bug report mentioned in comment #3 above there is a
suggested fix:

https://bugzilla.mozilla.org/show_bug.cgi?id=128153#c90

Add:

  <match target="pattern">
    <test name="family">
      <string>symbol</string>
    </test>
    <edit name="family" mode="append" binding="strong">
      <string>Standard Symbols L</string>
    </edit>
  </match>

to /etc/fonts/local.conf.

Per my original report (originally filed against fontconfig) perhaps
this could be added to /etc/fonts/fonts.conf in the fontconfig package?
Comment 5 Darren Brierton 2004-09-26 19:33:58 EDT
Sadly the fix proposed in comment #4 doesn't work. There must be some
way of letting fontconfig use "Symbol" as an alias for "Standard
Symbols L" ...
Comment 6 Christopher Blizzard 2004-09-27 11:50:14 EDT
I suspect that this is because the code that makes sure that you have
the Symbol font installed actually does a font list and looks for a
font with a family name of "Symbol."  It won't match "Standard Symbols
L."  Is it safe to assert that the two fonts have metric-compatible fonts?
Comment 7 Owen Taylor 2004-09-27 12:36:55 EDT
Standard Symbols L is pretty much an exact clone of Adobe Symbol.
(The URW fonts are intended to be drop in replacements of the Adobe 35)
Comment 8 Matthew Miller 2005-04-26 11:22:43 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 9 Darren Brierton 2005-04-26 11:57:11 EDT
Changed version to FC3.

Actually the situation seems to be worse than it was in FC2. According to my
original report in FC2 the page appeared to display correctly despite the
warning about a missing symbol font.

In FC3 I get the warning and the page is totally unreadable (in both Mozilla and
Firefox).

$ rpm -q mozilla firefox mathml-fonts urw-fonts
mozilla-1.7.7-1.3.1
firefox-1.0.3-1.3.1
mathml-fonts-1.0-14
urw-fonts-2.3-0.FC3.1

I'll attach a screenshot of http://www.mozilla.org/projects/mathml/start.xhtml.
Comment 10 Darren Brierton 2005-04-26 11:59:43 EDT
Created attachment 113674 [details]
Screenshot of http://www.mozilla.org/projects/mathml/start.xhtml

This is in FC3's Firefox 1.0.3 with the mathml-fonts package installed.
Comment 11 Rex Dieter 2005-08-02 16:12:37 EDT
AFAIK, mozilla's MathML support pretty much insists on Adobe's (PS Type1) Symbol
font, and the one that comes from acrobat reader works (for me).  I'll work on
an updated mathml-fonts Fedora Extras package to detect/use acroread7's
SY______.pfb if available.  (it already has a trigger to use
/usr/lib/acroread/Resource/Font/Symbol.pfa, if available).

Re: Fc3's firefox, see bug #150393
Comment 12 Rex Dieter 2005-08-03 10:01:20 EDT
Created attachment 117404 [details]
allow use of Standard Symbols L

Here's a patch I borrowed from Mandrake awhile back that (supposedly) allows
mozilla to use Standard Symbols L instead of Symbol (though it doesn't shut up
the missing "Symbol" complaint).
Comment 13 Matthew Miller 2006-07-10 16:35:12 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 14 John Thacker 2006-10-30 09:52:44 EST
Closing per lack of response to previous request for information.
Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.